Entity Onboarding (Banking Connectivity)
Cancel Entity Onboarding (Banking Connectivity)
Cancel an in-progress entity onboarding with a banking connectivity provider
POST
/
banking
/
entities
/
{entity_id}
/
onboardings
/
{onboarding_id}
/
cancel
Cancel Entity Onboarding (Banking Connectivity)
curl --request POST \
--url https://api-sandbox.y.uno/v1/banking/entities/{entity_id}/onboardings/{onboarding_id}/cancel \
--header 'private-secret-key: <api-key>' \
--header 'public-api-key: <api-key>'import requests
url = "https://api-sandbox.y.uno/v1/banking/entities/{entity_id}/onboardings/{onboarding_id}/cancel"
headers = {
"public-api-key": "<api-key>",
"private-secret-key": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'public-api-key': '<api-key>', 'private-secret-key': '<api-key>'}
};
fetch('https://api-sandbox.y.uno/v1/banking/entities/{entity_id}/onboardings/{onboarding_id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "onb_990e8400-e29b-41d4-a716-446655440000",
"entity_id": "ent_660e8400-e29b-41d4-a716-446655440000",
"yuno_account_id": "550e8400-e29b-41d4-a716-446655440000",
"provider": {
"entity_id": "col_entity_onboarded_123",
"status": "cancelled"
},
"onboarding_type": "ONE_STEP",
"status": "CANCELLED",
"requirements": [],
"created_at": "2026-02-01T10:00:00Z",
"updated_at": "2026-02-02T08:45:00Z",
"expires_at": "2026-02-08T10:00:00Z"
}{
"id": "onb_990e8400-e29b-41d4-a716-446655440000",
"entity_id": "ent_660e8400-e29b-41d4-a716-446655440000",
"yuno_account_id": "550e8400-e29b-41d4-a716-446655440000",
"provider": {
"entity_id": "col_entity_onboarded_123",
"status": "cancelled"
},
"onboarding_type": "ONE_STEP",
"status": "CANCELLED",
"requirements": [
{}
],
"created_at": "2026-02-01T10:00:00Z",
"updated_at": "2026-02-02T08:45:00Z",
"expires_at": "2026-02-08T10:00:00Z"
}{
"code": "VALIDATION_ERROR",
"messages": [
"Onboarding has reached a terminal status and cannot be cancelled"
],
"http_code": 400
}{
"code": "ONBOARDING_NOT_FOUND",
"messages": [
"Onboarding not found"
],
"http_code": 404
}Cancel a pending onboarding. Only onboardings that have not reached a terminal status can be cancelled. See Onboarding statuses for which statuses are terminal.
Path Parameters
The id of the entity obtained from Create Entity.
The id of the entity obtained from Create Entity.
Response
Example:
"onb_990e8400-e29b-41d4-a716-446655440000"
Example:
"ent_660e8400-e29b-41d4-a716-446655440000"
Example:
"550e8400-e29b-41d4-a716-446655440000"
Show child attributes
Show child attributes
Example:
"ONE_STEP"
Example:
"CANCELLED"
Example:
"2026-02-01T10:00:00Z"
Example:
"2026-02-02T08:45:00Z"
Example:
"2026-02-08T10:00:00Z"
Was this page helpful?
⌘I
Cancel Entity Onboarding (Banking Connectivity)
